Read a role
GET /api/organizations/roles/{key}. Read a role. Headless LMS Roles API reference.
Requires roles:read.
Path Parameters
key*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/organizations/roles/string"{ "key": "string", "name": "string", "description": "string", "base": "string", "levels": [ "org" ], "team": true, "permissions": [ "organizations:read" ], "system": true, "added": true, "customized": true, "holders": -9007199254740991, "givable": true}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}